#!/bin/sh
#
# amavisd	This script controls the amavisd-new daemon.
#		(to be used with version amavisd-new-20020630 or later)
#

# chkconfig: 2345 79 31
# description: amavisd is an interface between MTA and content checkers
# processname: amavisd
# pidfile: /var/amavis/amavisd.pid

prog="/usr/sbin/amavisd"
prog_base="$(basename ${prog})"
prog_config_file="/etc/amavisd.conf"


RETVAL=0

# See how we were called.
case "$1" in
  start)
	echo -n "Starting ${prog_base}:" ${prog} -c ${prog_config_file}
	${prog} -c ${prog_config_file}
	RETVAL=$?
	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/${prog_base}
	echo
	;;
  stop)
	echo -n "Stopping ${prog_base}:"
	${prog} -c ${prog_config_file} stop
	RETVAL=$?
	if [ $RETVAL -eq 0 ] ; then
	        echo "${prog_base} stopped"
        	rm -f /var/lock/subsys/${prog_base}
	else
		echo
	fi
	;;
  restart)
	$0 stop
	$0 start
	RETVAL=$?
	;;
  reload)
	echo -n "Reloading ${prog_base}:" ${prog} -c ${prog_config_file} reload
	${prog} -c ${prog_config_file} reload
	RETVAL=$?
	echo
	;;
  *)
	echo "Usage: $0 {start|stop|restart|reload}"
	exit 1
esac

exit $RETVAL
